<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA - Allan CORNET
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry version="5.0-subset Scilab" xml:id="javasci" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>

  <refnamediv>
    <refname>javasci</refname>

    <refpurpose>Call Scilab engine from a Java application</refpurpose>
  </refnamediv>

  <refsection>
    <title>Description</title>

    <para>Scilab offers the possibility to be called from a Java
    application.</para>

    <para>This help describes the features of the javasci API.</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"><![CDATA[ 
// A simple Java example 
// Filename: DisplayPI.java

import javasci.Scilab;

public class DisplayPI {
public static void main(String []args){
Scilab.Exec("disp(%pi);");
}
}
 ]]></programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member><link linkend="compile_and_run_javasci">Compile and run with Javasci</link></member>
      <member><link linkend="SciDouble">SciDouble</link></member>

      <member><link linkend="SciDoubleArray">SciDoubleArray</link></member>

      <member><link linkend="SciString">SciString</link></member>

      <member><link linkend="SciStringArray">SciStringArray</link></member>
    </simplelist>
  </refsection>

  <refsection>
    <title>Authors</title>

    <para>Allan Cornet</para>

    <para>Sylvestre Ledru</para>
  </refsection>
</refentry>
